[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[Subclipse-dev] svnClientAdapter failed to build?

From: Shawn Jin <shawnemails_at_gmail.com>
Date: Fri, 17 Sep 2010 16:09:17 +0100

Hello,

I checked http://subclipse.tigris.org/svn/subclipse/trunk/svnClientAdapterRevision
4703 in Eclipse and tried to build the project, it firstly gave me
error like:
  [javac]
/workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/AbstractJhlClientAdapter.java:323:
generics are not supported in -source 1.4
  [javac] (use -source 5 or higher to enable generics)

I then changed targetJvm=1.4 to targetJvm=1.6 in build.properties to allow
the generics but then the following error message appears:

[javac]
/scratch/xujin/workspace_galilio/svnClientAdapter_latest/src/javahl/org/tigris/subversion/svnclientadapter/javahl/AbstractJhlClientAdapter.java:37:
package org.apache.subversion.javahl does not exist
[javac] import org.apache.subversion.javahl.ClientException;

It looks the org.apache.subversion.javahl package is missing. Could you
advise where I can find the library and what to do to get a successful build
of svnClientAdapter?

Thank you

Shawn

------------------------------------------------------
http://subclipse.tigris.org/ds/viewMessage.do?dsForumId=1043&dsMessageId=2661306

To unsubscribe from this discussion, e-mail: [dev-unsubscribe_at_subclipse.tigris.org].
Received on 2010-09-17 17:09:52 CEST

This is an archived mail posted to the Subclipse Dev mailing list.